CC-3098: Upgrade scripts don't work

-minor tweaks
This commit is contained in:
Martin Konecny 2011-11-23 16:49:03 -05:00
parent 54f6ea6f81
commit e93b02ef34
8 changed files with 30 additions and 19 deletions

View file

@ -18,13 +18,15 @@ AIRTIMEROOT=$SCRIPTPATH/../../
#. ${virtualenv_bin}activate
set +e
php --php-ini ${SCRIPTPATH}/../airtime-php.ini ${SCRIPTPATH}/airtime-install.php $@
result=$?
if [ "$DO_UPGRADE" -eq "0" ]; then
php --php-ini ${SCRIPTPATH}/../airtime-php.ini ${SCRIPTPATH}/airtime-install.php $@
result=$?
if [ "$result" -ne "0" ]; then
#There was an error, exit with error code.
echo "There was an error during install. Exit code $result"
exit 1
if [ "$result" -ne "0" ]; then
#There was an error, exit with error code.
echo "There was an error during install. Exit code $result"
exit 1
fi
fi
set -e